<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:b1e="urn:com.sap.b1i.sim:b1event" xmlns:b1ie="urn:com.sap.b1i.sim:b1ievent" xmlns:b1im="urn:com.sap.b1i.sim:b1imessage" xmlns:bfa="urn:com.sap.b1i.bizprocessor:bizatoms" xmlns:jdbc="urn:com.sap.b1i.adapter:jdbcadapter" xmlns:js="com.sap.b1i.bpc_tools.Javascript" xmlns:rfc="urn:sap-com:document:sap:rfc:functions" xmlns:sim="urn:com.sap.b1i.sim:entity" xmlns:uplt="urn:com.sap.b1i.xcellerator:upltdoc" xmlns:utils2="com.sap.b1i.bpc_tools.Utilities" xmlns:vpf="urn:com.sap.b1i.vplatform:entity" xmlns:xci="urn:com.sap.b1i.xcellerator:intdoc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" bfa:force="" vpf:force="" jdbc:force="" rfc:force="" b1ie:force="" b1e:force="" xci:force="" sim:force="" utils2:force="" b1im:force="" uplt:force="" js:force=""><xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output><xsl:param name="atom"></xsl:param><xsl:param name="sessionid"></xsl:param><xsl:variable name="msg" select="/vpf:Msg/vpf:Body/vpf:Payload[./@Role=&apos;S&apos;]"></xsl:variable><xsl:variable name="vpSender" select="/vpf:Msg/vpf:Header/vpf:Sender/@Id"></xsl:variable><xsl:variable name="vpObject" select="/vpf:Msg/vpf:Header/vpf:Sender/@ObjId"></xsl:variable><xsl:variable name="vpReceiver" select="/vpf:Msg/vpf:Header/vpf:ReceiverList/vpf:Receiver[./@handover=&apos;P&apos;]/@Id"></xsl:variable><xsl:variable name="vpCOBIAppVersion" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIAppVersion&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIDeviceId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIDeviceId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIProfile" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIProfile&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBISysId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBISysId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIUserId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIUserId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIFiles" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIFiles&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBILogs" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBILogs&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIEnablePDNDraft" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIEnablePDNDraft&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIRemPrtPath" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIRemPrtPath&apos;]/@value"></xsl:variable><xsl:template match="/"><xsl:variable name="vptsDoc" select="document(&apos;/com.sap.b1i.internal/xml/timestamp&apos;)"></xsl:variable><xsl:variable name="vpts" select="concat($vptsDoc/*/@year,&apos;/&apos;,$vptsDoc/*/@month,&apos;/&apos;,$vptsDoc/*/@date,&apos; &apos;,$vptsDoc/*/@hour,&apos;:&apos;,$vptsDoc/*/@minute,&apos;:&apos;,$vptsDoc/*/@second)"></xsl:variable><Msg xmlns="urn:com.sap.b1i.vplatform:entity">
      <xsl:copy-of select="/vpf:Msg/@*"></xsl:copy-of>
      <xsl:copy-of select="/vpf:Msg/vpf:Header"></xsl:copy-of>
      <Body>
        <xsl:copy-of select="/vpf:Msg/vpf:Body/*"></xsl:copy-of>
        <Payload Role="X" id="{$atom}">
          <xsl:call-template name="transform"></xsl:call-template>
        </Payload>
      </Body>
    </Msg></xsl:template><xsl:template name="transform">
    <xsl:variable name="pkl" select="/vpf:Msg/vpf:Body/vpf:Payload[@id=&apos;atom5&apos;]/BOM/BO"></xsl:variable>
    <xsl:variable name="orderUpdateResults" select="/vpf:Msg/vpf:Body/vpf:Payload[@id=&apos;atom11&apos;]"></xsl:variable>
    <xsl:choose>
      <xsl:when test="//COBIError"></xsl:when>
      <xsl:when test="$orderUpdateResults[@status != &apos;success&apos;] or $orderUpdateResults[@DIresult != &apos;success&apos;]">
        <COBIError>
        </COBIError>
      </xsl:when>
      <xsl:when test="not($pkl)">
        <COBIError>
        </COBIError>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="lines" select="$msg/cobiwms/body/lines/line"></xsl:variable>
        <PickLists>
          <row>
            <U_CWMS_Updater>
              <xsl:value-of select="$vpCOBIUserId"></xsl:value-of>
            </U_CWMS_Updater>
            <U_CWMS_UpdaterDevice>
              <xsl:value-of select="$vpCOBIDeviceId"></xsl:value-of>
            </U_CWMS_UpdaterDevice>
          </row>
        </PickLists>
        <PickLists_Lines>
          <xsl:for-each select="$pkl/PickLists_Lines/row">
            <row>
              <xsl:copy-of select="LineNumber"></xsl:copy-of>
              <xsl:variable name="line" select="$lines[docLine = current()/LineNumber]"></xsl:variable>
              <xsl:if test="$line">
                <xsl:variable name="oldReleasedQty" select="ReleasedQuantity"></xsl:variable>
                <xsl:variable name="oldPickedQty" select="PickedQuantity"></xsl:variable>
                <xsl:variable name="totalQty" select="$oldReleasedQty + $oldPickedQty"></xsl:variable>
                <xsl:variable name="newPickedQty">
                  <xsl:if test="$vpCOBIProfile = &apos;CHEESE&apos;">
                    <xsl:value-of select="$oldPickedQty + $line/pickedQuantity"></xsl:value-of>
                  </xsl:if>
                  <xsl:if test="not($vpCOBIProfile = &apos;CHEESE&apos;)">
                    <xsl:value-of select="$line/pickedQuantity"></xsl:value-of>
                  </xsl:if>
                </xsl:variable>
                <ReleasedQuantity>
                  <xsl:value-of select="$totalQty - $newPickedQty"></xsl:value-of>
                </ReleasedQuantity>
                <PickedQuantity>
                  <xsl:value-of select="$newPickedQty"></xsl:value-of>
                </PickedQuantity>
              </xsl:if>
            </row>
          </xsl:for-each>
        </PickLists_Lines>
        <BatchNumbers>
          <xsl:if test="$vpCOBIProfile = &apos;CHEESE&apos;">
            <xsl:copy-of select="$pkl/BatchNumbers/row"></xsl:copy-of>
          </xsl:if>
          <xsl:for-each select="$lines/batches/batch[pickedQuantity &gt; 0]">
            <row>
              <BaseLineNumber>
                <xsl:value-of select="../../docLine"></xsl:value-of>
              </BaseLineNumber>
              <BatchNumber>
                <xsl:value-of select="batchNumber"></xsl:value-of>
              </BatchNumber>
              <Quantity>
                <xsl:value-of select="pickedQuantity"></xsl:value-of>
              </Quantity>
            </row>
          </xsl:for-each>
        </BatchNumbers>
        <SerialNumbers>
          <xsl:if test="$vpCOBIProfile = &apos;CHEESE&apos;">
            <xsl:copy-of select="$pkl/SerialNumbers/row"></xsl:copy-of>
          </xsl:if>
          <xsl:for-each select="$lines/serials/serial">
            <row>
              <BaseLineNumber>
                <xsl:value-of select="../../docLine"></xsl:value-of>
              </BaseLineNumber>
              <InternalSerialNumber>
                <xsl:value-of select="serialNumber"></xsl:value-of>
              </InternalSerialNumber>
              <Quantity>
                <xsl:if test="isPicked = &apos;false&apos;">0</xsl:if>
                <xsl:if test="isPicked = &apos;true&apos;">1</xsl:if>
              </Quantity>
              <xsl:if test="systemNumber">
                <SystemSerialNumber>
                  <xsl:value-of select="systemNumber"></xsl:value-of>
                </SystemSerialNumber>
              </xsl:if>
            </row>
          </xsl:for-each>
        </SerialNumbers>
        <DocumentLinesBinAllocations>
          <xsl:for-each select="$lines">
            <xsl:variable name="docLine" select="docLine"></xsl:variable>
            <xsl:for-each select="locations/location[pickedQuantity &gt; 0]">
              <row>
                <BaseLineNumber>
                  <xsl:value-of select="$docLine"></xsl:value-of>
                </BaseLineNumber>
                <SerialAndBatchNumbersBaseLine>
                            -1
                        </SerialAndBatchNumbersBaseLine>
                <BinAbsEntry>
                  <xsl:value-of select="id"></xsl:value-of>
                </BinAbsEntry>
                <Quantity>
                  <xsl:value-of select="pickedQuantity"></xsl:value-of>
                </Quantity>
              </row>
            </xsl:for-each>
            <xsl:for-each select="batches/batch">
              <xsl:variable name="position" select="position() - 1"></xsl:variable>
              <xsl:for-each select="locations/location">
                <row>
                  <BaseLineNumber>
                    <xsl:value-of select="$docLine"></xsl:value-of>
                  </BaseLineNumber>
                  <SerialAndBatchNumbersBaseLine>
                    <xsl:value-of select="$position"></xsl:value-of>
                  </SerialAndBatchNumbersBaseLine>
                  <BinAbsEntry>
                    <xsl:value-of select="id"></xsl:value-of>
                  </BinAbsEntry>
                  <Quantity>
                    <xsl:value-of select="pickedQuantity"></xsl:value-of>
                  </Quantity>
                </row>
              </xsl:for-each>
            </xsl:for-each>
            <xsl:for-each select="serials/serial">
              <xsl:variable name="position" select="position() - 1"></xsl:variable>
              <xsl:if test="location/id">
                <row>
                  <BaseLineNumber>
                    <xsl:value-of select="$docLine"></xsl:value-of>
                  </BaseLineNumber>
                  <SerialAndBatchNumbersBaseLine>
                    <xsl:value-of select="$position"></xsl:value-of>
                  </SerialAndBatchNumbersBaseLine>
                  <BinAbsEntry>
                    <xsl:value-of select="location/id"></xsl:value-of>
                  </BinAbsEntry>
                  <Quantity>
                    <xsl:if test="isPicked = &apos;false&apos;">0</xsl:if>
                    <xsl:if test="isPicked = &apos;true&apos;">1</xsl:if>
                  </Quantity>
                </row>
              </xsl:if>
            </xsl:for-each>
          </xsl:for-each>
        </DocumentLinesBinAllocations>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template></xsl:stylesheet>